<!DOCTYPE html>
<html lang="en" xmlns:th="http://thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <object th:include="fragments/fragment :: css" th:remove="tag"></object>
    <object th:include="fragments/fragment :: js" th:remove="tag"></object>
    <!-- Link Swiper's CSS -->
    <link rel="stylesheet" th:href="@{/css/home-page.css}">
    <link rel="stylesheet" th:href="@{/css/form-reset-password.css}">

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/swiper@9/swiper-bundle.min.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-icons/1.10.3/font/bootstrap-icons.min.css" />

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css">
    <title>Form Reset Password</title>
</head>
<body>
<div class="section-container">
    <div style="padding-bottom: 0;" class="section-title">
        <div class="judul-page">
            <h1>Reset Password</h1>
        </div>
        <div class="deskripsi-page">
            <h5>Harap melakukan login kembali setelah berhasil mengubah password.</h5>
        </div>
    </div>
</div>
<form th:action="@{/forgot-password/reset-password/}+${user.forgotUrl}" method="POST">
    <div class="card-ubah-password">

        <div class="section-password-icon">
            <div class="password-icon">
                <svg width="126" height="126" viewBox="0 0 126 126" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <g filter="url(#filter0_d_562_8468)">
                        <circle cx="63" cy="59" r="59" fill="#F8F5EC"/>
                    </g>
                    <path d="M50.9582 59.0003C50.9582 57.0443 52.5438 55.4587 54.4998 55.4587C56.4558 55.4587 58.0415 57.0443 58.0415 59.0003C58.0415 60.9563 56.4558 62.542 54.4998 62.542C52.5438 62.542 50.9582 60.9563 50.9582 59.0003Z" fill="#F67280"/>
                    <path fill-rule="evenodd" clip-rule="evenodd" d="M62.9998 87.3337C78.6479 87.3337 91.3332 74.6484 91.3332 59.0003C91.3332 43.3523 78.6479 30.667 62.9998 30.667C47.3518 30.667 34.6665 43.3523 34.6665 59.0003C34.6665 74.6484 47.3518 87.3337 62.9998 87.3337ZM54.4998 51.2087C50.1966 51.2087 46.7082 54.6971 46.7082 59.0003C46.7082 63.3035 50.1966 66.792 54.4998 66.792C58.0664 66.792 61.0732 64.3957 61.9982 61.1253H67.2178C67.3745 61.8932 67.2737 62.701 66.9154 63.4175L66.7659 63.7167C66.241 64.7664 66.6665 66.0428 67.7162 66.5676C68.7659 67.0925 70.0423 66.667 70.5672 65.6173L70.7167 65.3182C71.3737 64.0043 71.6371 62.551 71.5071 61.1253H75.7178C75.8745 61.8932 75.7737 62.701 75.4154 63.4175L75.2658 63.7167C74.741 64.7664 75.1665 66.0428 76.2162 66.5676C77.2659 67.0925 78.5423 66.667 79.0672 65.6173L79.2167 65.3182C80.3135 63.1246 80.3135 60.5427 79.2167 58.3491C78.7651 57.4459 77.8419 56.8753 76.8321 56.8753L68.7093 56.8753C68.6797 56.8747 68.6501 56.8747 68.6204 56.8753H61.9982C61.0732 53.6049 58.0664 51.2087 54.4998 51.2087Z" fill="#F67280"/>
                    <defs>
                        <filter id="filter0_d_562_8468" x="0" y="0" width="126" height="126" filterUnits="userSpaceOnUse" color-interpolation-filters="sRGB">
                            <feFlood flood-opacity="0" result="BackgroundImageFix"/>
                            <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0" result="hardAlpha"/>
                            <feOffset dy="4"/>
                            <feGaussianBlur stdDeviation="2"/>
                            <feComposite in2="hardAlpha" operator="out"/>
                            <feColorMatrix type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.25 0"/>
                            <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow_562_8468"/>
                            <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow_562_8468" result="shape"/>
                        </filter>
                    </defs>
                </svg>
            </div>
        </div>
        <div class="section-input-field">
            <div class="input-container">

                <div class="input-field password" style="margin-bottom: 12px;">
                    <label for="newPassword">New Password</label>
                    <div class="toggle-password">
                        <input type="password" class="input" id="newPassword" name="newPassword" placeholder="New Password" autocomplete="off">
                        <div class="ikon-password hide-new-password show" onclick="toggleNewPasswordVisibility()">
                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path d="M9.75 12C9.75 10.7574 10.7574 9.75 12 9.75C13.2426 9.75 14.25 10.7574 14.25 12C14.25 13.2426 13.2426 14.25 12 14.25C10.7574 14.25 9.75 13.2426 9.75 12Z" fill="#F67280"/>
                                <path fill-rule="evenodd" clip-rule="evenodd" d="M6.35173 5.59572C7.92325 4.30899 9.85905 3.25 12 3.25C14.141 3.25 16.0768 4.30899 17.6483 5.59572C19.2284 6.88946 20.5204 8.47865 21.3886 9.68801L21.4602 9.78759C21.9829 10.5138 22.4131 11.1117 22.4131 12C22.4131 12.8883 21.9829 13.4862 21.4602 14.2124L21.3886 14.312C20.5204 15.5214 19.2284 17.1105 17.6483 18.4043C16.0768 19.691 14.141 20.75 12 20.75C9.85905 20.75 7.92325 19.691 6.35173 18.4043C4.77164 17.1105 3.47962 15.5214 2.61142 14.312L2.53981 14.2124C2.01715 13.4862 1.58691 12.8883 1.58691 12C1.58691 11.1117 2.01715 10.5138 2.53981 9.78759L2.61142 9.68801C3.47962 8.47865 4.77164 6.88946 6.35173 5.59572ZM12 8.25C9.92893 8.25 8.25 9.92893 8.25 12C8.25 14.0711 9.92893 15.75 12 15.75C14.0711 15.75 15.75 14.0711 15.75 12C15.75 9.92893 14.0711 8.25 12 8.25Z" fill="#F67280"/>
                            </svg>
                        </div>
                        <div class="ikon-password show-new-password hide" onclick="toggleNewPasswordVisibility()">
                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path fill-rule="evenodd" clip-rule="evenodd" d="M22.4685 4.58568C22.792 4.32692 22.8444 3.85495 22.5857 3.53151C22.3269 3.20806 21.855 3.15562 21.5315 3.41438L18.2062 6.07464C18.0246 5.91151 17.8385 5.75148 17.6483 5.59574C16.0768 4.30902 14.141 3.25003 12 3.25003C9.85908 3.25003 7.92328 4.30902 6.35176 5.59574C4.77166 6.88949 3.47965 8.47868 2.61144 9.68804L2.53984 9.78762C2.01718 10.5139 1.58694 11.1117 1.58694 12C1.58694 12.8884 2.01718 13.4862 2.53984 14.2124L2.61144 14.312C3.1561 15.0707 3.86754 15.9788 4.71227 16.8698L1.53151 19.4144C1.20806 19.6731 1.15562 20.1451 1.41438 20.4685C1.67313 20.792 2.1451 20.8444 2.46855 20.5857L22.4685 4.58568ZM8.66178 13.7102L9.87453 12.74C9.79386 12.5082 9.75003 12.2592 9.75003 12C9.75003 10.7574 10.7574 9.75003 12 9.75003C12.4362 9.75003 12.8434 9.87415 13.1882 10.089L14.4007 9.11904C13.7503 8.57647 12.9133 8.25003 12 8.25003C9.92896 8.25003 8.25003 9.92896 8.25003 12C8.25003 12.6161 8.39857 13.1974 8.66178 13.7102Z" fill="#F67280"/>
                                <path d="M20.6952 8.76484L15.6673 12.7872C15.3056 14.4803 13.8011 15.75 12 15.75L11.9639 15.7499L7.54805 19.2825C8.86737 20.1396 10.3746 20.75 12 20.75C14.141 20.75 16.0768 19.691 17.6483 18.4043C19.2284 17.1106 20.5204 15.5214 21.3886 14.312L21.4602 14.2124C21.9829 13.4862 22.4131 12.8884 22.4131 12C22.4131 11.1117 21.9829 10.5139 21.4602 9.78762L21.3886 9.68804C21.1811 9.39894 20.9493 9.08813 20.6952 8.76484Z" fill="#F67280"/>
                            </svg>
                        </div>
                    </div>
                </div>
                <div class="input-field password" style="margin-bottom: 0">
                    <label for="confirmPassword">Re-type Password</label>
                    <div class="toggle-password" id="confirm-password-div">
                        <input type="password" class="input" id="confirmPassword" name="confirmPassword" placeholder="Re-type Password" autocomplete="off">
                        <div class="ikon-password hide-confirm-password show" onclick="toggleConfirmPasswordVisibility()">
                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path d="M9.75 12C9.75 10.7574 10.7574 9.75 12 9.75C13.2426 9.75 14.25 10.7574 14.25 12C14.25 13.2426 13.2426 14.25 12 14.25C10.7574 14.25 9.75 13.2426 9.75 12Z" fill="#F67280"/>
                                <path fill-rule="evenodd" clip-rule="evenodd" d="M6.35173 5.59572C7.92325 4.30899 9.85905 3.25 12 3.25C14.141 3.25 16.0768 4.30899 17.6483 5.59572C19.2284 6.88946 20.5204 8.47865 21.3886 9.68801L21.4602 9.78759C21.9829 10.5138 22.4131 11.1117 22.4131 12C22.4131 12.8883 21.9829 13.4862 21.4602 14.2124L21.3886 14.312C20.5204 15.5214 19.2284 17.1105 17.6483 18.4043C16.0768 19.691 14.141 20.75 12 20.75C9.85905 20.75 7.92325 19.691 6.35173 18.4043C4.77164 17.1105 3.47962 15.5214 2.61142 14.312L2.53981 14.2124C2.01715 13.4862 1.58691 12.8883 1.58691 12C1.58691 11.1117 2.01715 10.5138 2.53981 9.78759L2.61142 9.68801C3.47962 8.47865 4.77164 6.88946 6.35173 5.59572ZM12 8.25C9.92893 8.25 8.25 9.92893 8.25 12C8.25 14.0711 9.92893 15.75 12 15.75C14.0711 15.75 15.75 14.0711 15.75 12C15.75 9.92893 14.0711 8.25 12 8.25Z" fill="#F67280"/>
                            </svg>
                        </div>
                        <div class="ikon-password show-confirm-password hide" onclick="toggleConfirmPasswordVisibility()">
                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path fill-rule="evenodd" clip-rule="evenodd" d="M22.4685 4.58568C22.792 4.32692 22.8444 3.85495 22.5857 3.53151C22.3269 3.20806 21.855 3.15562 21.5315 3.41438L18.2062 6.07464C18.0246 5.91151 17.8385 5.75148 17.6483 5.59574C16.0768 4.30902 14.141 3.25003 12 3.25003C9.85908 3.25003 7.92328 4.30902 6.35176 5.59574C4.77166 6.88949 3.47965 8.47868 2.61144 9.68804L2.53984 9.78762C2.01718 10.5139 1.58694 11.1117 1.58694 12C1.58694 12.8884 2.01718 13.4862 2.53984 14.2124L2.61144 14.312C3.1561 15.0707 3.86754 15.9788 4.71227 16.8698L1.53151 19.4144C1.20806 19.6731 1.15562 20.1451 1.41438 20.4685C1.67313 20.792 2.1451 20.8444 2.46855 20.5857L22.4685 4.58568ZM8.66178 13.7102L9.87453 12.74C9.79386 12.5082 9.75003 12.2592 9.75003 12C9.75003 10.7574 10.7574 9.75003 12 9.75003C12.4362 9.75003 12.8434 9.87415 13.1882 10.089L14.4007 9.11904C13.7503 8.57647 12.9133 8.25003 12 8.25003C9.92896 8.25003 8.25003 9.92896 8.25003 12C8.25003 12.6161 8.39857 13.1974 8.66178 13.7102Z" fill="#F67280"/>
                                <path d="M20.6952 8.76484L15.6673 12.7872C15.3056 14.4803 13.8011 15.75 12 15.75L11.9639 15.7499L7.54805 19.2825C8.86737 20.1396 10.3746 20.75 12 20.75C14.141 20.75 16.0768 19.691 17.6483 18.4043C19.2284 17.1106 20.5204 15.5214 21.3886 14.312L21.4602 14.2124C21.9829 13.4862 22.4131 12.8884 22.4131 12C22.4131 11.1117 21.9829 10.5139 21.4602 9.78762L21.3886 9.68804C21.1811 9.39894 20.9493 9.08813 20.6952 8.76484Z" fill="#F67280"/>
                            </svg>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="section-button" style="margin-top: 12px;">
            <div class="save-button">
                <button type="submit" id="button-reset" class="button-primary mx-auto d-block">Save</button>
            </div>
            <div class="return-button">
                <a class="button-secondary" th:href="@{/}">Back</a>
            </div>
        </div>
    </div>
</form>
<!-- Modal Successful Message -->
<div class="bg-modal">
    <div class="modal-content">
        <div style="border-radius: 20px; border: none;" class="card col-md-4">
            <div class="header-modal">
                <div class="close">
                    <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M19.5304 5.53033C19.8232 5.23744 19.8232 4.76256 19.5304 4.46967C19.2375 4.17678 18.7626 4.17678 18.4697 4.46967L12 10.9394L5.53033 4.46967C5.23744 4.17678 4.76256 4.17678 4.46967 4.46967C4.17678 4.76257 4.17678 5.23744 4.46967 5.53033L10.9394 12L4.4697 18.4697C4.1768 18.7626 4.1768 19.2374 4.4697 19.5303C4.76259 19.8232 5.23746 19.8232 5.53036 19.5303L12 13.0607L18.4697 19.5303C18.7626 19.8232 19.2374 19.8232 19.5303 19.5303C19.8232 19.2374 19.8232 18.7626 19.5303 18.4697L13.0607 12L19.5304 5.53033Z" fill="#1D3557"/>
                    </svg>
                </div>
            </div>
            <div class="icon-modal">
                <svg width="81" height="81" viewBox="0 0 81 81" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M77.9999 44.9653C75 59.9801 63.6907 74.1179 47.8216 77.277C40.082 78.82 32.0534 77.8792 24.879 74.5888C17.7046 71.2983 11.7501 65.8258 7.86336 58.9506C3.97663 52.0753 2.35583 44.1478 3.23172 36.2968C4.10762 28.4458 7.43557 21.0716 12.7417 15.2241C23.6251 3.22432 42.002 -0.0789206 57.0011 5.92698" stroke="#20AE5C" stroke-width="6" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M27.0029 38.9591L42.002 53.9739L77.9999 14.9355" stroke="#20AE5C" stroke-width="6" stroke-linecap="round" stroke-linejoin="round"/>
                </svg>
            </div>
            <div class="text-column-modal">
                <div class="success-message">
                    <p>Berhasil!</p>
                </div>
                <div class="detail-message">
                    <p>Password Anda telah berhasil direset.</p>
                </div>
                <div class="success-message-desc">
                    <p>Silahkan login kembali menggunakan password baru.</p>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    $(document).ready(function() {
        var passwordField = $('#newPassword');
        var passwordConfirmationField = $('#confirmPassword');
        var passwordConfirmationDiv = $('#confirm-password-div');
        var errorField = $('<span class="error" style="color:red">Passwords do not match</span>');

        // function to check if passwords match
        function checkPasswords() {
            if (passwordField.val() !== passwordConfirmationField.val()) {
                if (!passwordConfirmationField.next('.error').length) {
                    passwordConfirmationDiv.after(errorField);
                }
                $('button[type="submit"]').prop('disabled', true);
            } else {
                passwordConfirmationDiv.next('.error').remove();
                $('button[type="submit"]').prop('disabled', false);
            }
        }

        // check passwords on keyup of either field
        passwordField.keyup(checkPasswords);
        passwordConfirmationField.keyup(checkPasswords);
    });
</script>
<script>
    function toggleNewPasswordVisibility() {
        var passwordInput = document.getElementById("newPassword");
        var hideIcon = document.querySelector(".ikon-password.hide-new-password");
        var showIcon = document.querySelector(".ikon-password.show-new-password");

        if (passwordInput.type === "password") {
            passwordInput.type = "text";
            hideIcon.classList.replace('show', 'hide');
            showIcon.classList.replace('hide', 'show');
        } else {
            passwordInput.type = "password";
            hideIcon.classList.replace('hide', 'show');
            showIcon.classList.replace('show', 'hide');
        }
    }
</script>
<script>
    function toggleConfirmPasswordVisibility() {
        var passwordInput = document.getElementById("confirmPassword");
        var hideIcon = document.querySelector(".ikon-password.hide-confirm-password");
        var showIcon = document.querySelector(".ikon-password.show-confirm-password");

        if (passwordInput.type === "password") {
            passwordInput.type = "text";
            hideIcon.classList.replace('show', 'hide');
            showIcon.classList.replace('hide', 'show');
        } else {
            passwordInput.type = "password";
            hideIcon.classList.replace('hide', 'show');
            showIcon.classList.replace('show', 'hide');
        }
    }
</script>
<script>
    document.getElementById('button-reset').addEventListener('click', function() {
        document.querySelector('.bg-modal').style.display = 'flex';
    });
</script>
<script>
    document.querySelector('.close').addEventListener('click', function() {
        document.querySelector('.bg-modal').style.display = 'none';
        window.location.href = '/login';
    });
</script>
</body>
</html>